package de.jottyfan.timetrack.modules.done.model;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * 
 * @author jotty
 * 
 */
public class SlotBean implements Serializable {
	private static final long serialVersionUID = 1L;

	private Integer id;
	private LocalDate day;
	private Integer minutes;
	
	public static final SlotBean of(Integer id, LocalDate day, Integer minutes) {
		SlotBean bean = new SlotBean();
		bean.setId(id);
		bean.setDay(day);
		bean.setMinutes(minutes);
		return bean;
	}
	
	public String printTime() {
		Integer hours = 0;
		Integer mins = 0;
		if (minutes != null) {
			hours = minutes / 60;
			mins = minutes % 60;
		}
		return String.format("%2d:%02d", hours, mins);
	}

	/**
	 * @return the day
	 */
	public LocalDate getDay() {
		return day;
	}

	/**
	 * @param day the day to set
	 */
	public void setDay(LocalDate day) {
		this.day = day;
	}

	/**
	 * @return the minutes
	 */
	public Integer getMinutes() {
		return minutes;
	}

	/**
	 * @param minutes the minutes to set
	 */
	public void setMinutes(Integer minutes) {
		this.minutes = minutes;
	}

	/**
	 * @return the id
	 */
	public Integer getId() {
		return id;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(Integer id) {
		this.id = id;
	}

	
}
